import 'devextreme/dist/css/dx.light.css';
import './themes/generated/theme.base.css';
import './themes/generated/theme.additional.css';
import { createApp }  from "vue";
import router from "./router";
import themes from "devextreme/ui/themes";
import axios from 'axios'

import App from "./App";
import appInfo from "./app-info";

axios.defaults.baseURL = `${process.env.VUE_APP_ROOT_API}`;

themes.initialized(() => {
    const app = createApp(App);
    app.use(router);
    app.config.globalProperties.$appInfo = appInfo;
    app.mount('#app');
});
